Bug 965917 - /distribution/virt/start fails when optional repo is not present
/distribution/virt/start fails when optional repo is not present
Status: NEW
Product: Beaker
Classification: Community
Component: tests (Show other bugs)
0.12
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 23:20 EDT by Raymond Mancy
Modified: 2018-02-05 19:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2013-05-21 23:20:24 EDT
Description of problem:

/distribution/virt/start fails when there is no optional repo available

Version-Release number of selected component (if applicable):

virt/start: 2.0-4
virt/install: 4.0-47

How reproducible:

Always

Steps to Reproduce:
1. Start a host/guest recipe with optional repos disabled
2.
3.

Actual results:

/distribution/virt/install WARNs, then /distribution/virt/start FAILS

Expected results:

Both pass

Additional info:

virt/install will warn if Xvfb is not available. No remedial action is taken though to rectify this, and the recipe task will install in the background and the following task (often virt/start) will assume that the guest is ready to be started. This is the same if we try to connect to the console and it fails.

We should either FAIL in the above scenarios, or somehow ensure that the recipe task is not completed until the guest has completed installing
Comment 1 Nick Coghlan 2013-05-21 23:40:04 EDT
A good starting point might be to open source the /distribution/virt helper tasks and add them to the Beaker repo...
Comment 2 Gurhan Ozen 2013-05-23 15:45:51 EDT
(In reply to Raymond Mancy from comment #0)
> Additional info:
> 
> virt/install will warn if Xvfb is not available. No remedial action is taken
> though to rectify this, and the recipe task will install in the background
> and the following task (often virt/start) will assume that the guest is
> ready to be started. This is the same if we try to connect to the console
> and it fails.
> 
> We should either FAIL in the above scenarios, or somehow ensure that the
> recipe task is not completed until the guest has completed installing

The guest install doesn't fail? It should fail if it's not able to install? 

The WARN is given out as information, there should also be a FAIL result submitted. 

Also I am not sure what to do to rectify it. Especially in this case, Xvfb is needed for the graphical installations, for example for paravirt guests it's not needed. I can have the test abort the recipe, but that would probably be stepping out of the boundaries, no?

Note You need to log in before you can comment on or make changes to this bug.